package cn.com.poc.message.service;

import cn.com.poc.message.entity.meeting.AnalysisTaskUpdateMessage;
import cn.com.poc.message.entity.meeting.MeetingAssistantAnalysisMessage;
import cn.com.poc.message.entity.meeting.MeetingAssistantGenerateAnalysisContentMessage;
import cn.com.yict.framemax.core.service.BaseService;

public interface MeetingAssistantAnalysisConsumerService extends BaseService {


    /**
     * 执行会议内容分析任务
     */
    void analysisTask(MeetingAssistantAnalysisMessage meetingAssistantAnalysisMessage) throws Exception;

    /**
     * 更新会议内容分析任务状态
     */
    void analysisTaskUpdate(AnalysisTaskUpdateMessage message);

    /**
     * 生成主题
     */
    void generateTheme(MeetingAssistantGenerateAnalysisContentMessage message);

    /**
     * 获取关键词
     */
    void keyWord(MeetingAssistantGenerateAnalysisContentMessage message);

    /**
     * 生成摘要
     */
    void generateSummry(MeetingAssistantGenerateAnalysisContentMessage message);

    /**
     * 生成推荐问
     */
    void generateFeaturedQuestion(MeetingAssistantGenerateAnalysisContentMessage message);

}
